package main;

import java.util.*;


/* ArrayList
   LinkedList
   Vector
 */

public class Main {

    public static void main(String[] a) {
        Structure s = null;

        String type, operation;
        Integer nFois;

        type = a[0];
        operation = a[1];
        nFois = Integer.parseInt(a[2]);

        switch (type) {
            case "arraylist":
                s = new StructAL();
                break;
            case "hashmap":
                s = new StructHM();
                break;
            case "vector":
                s = new StructV();
                break;
        }

        switch (operation) {
            case "remplir":
                s.remplir(nFois);
                break;
            case "acceder":
                s.remplir(nFois);
                for (int i = 0; i < nFois; i++) {
                    s.acceder();
                }
                break;
            case "supprimer":
                s.remplir(nFois);
                for (int i = 0; i < nFois; i++) {
                    s.supprimer();
                }
                break;
        }
    }
}
